Bug 1132271 - Access contact admin url without logging in will trigger an exception
Summary: Access contact admin url without logging in will trigger an exception
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability   
(Show other bugs)
Version: 3.4
Hardware: Unspecified Linux
unspecified
low
Target Milestone: ---
: 3.6
Assignee: Patrick Huang
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-21 03:33 UTC by Patrick Huang
Modified: 2015-03-19 07:10 UTC (History)
2 users (show)

Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2415)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Patrick Huang 2014-08-21 03:33:57 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.31 (KHTML, like Gecko) Chrome/26.0.1410.63 Safari/537.31
Build Identifier: 

Access {server}/help/contact_admin directly without signing in will trigger an exception.
Caused by: org.jboss.seam.RequiredException: @In attribute requires non-null value: sendEmail.org.jboss.seam.security.management.authenticatedUser
        at org.jboss.seam.Component.getValueToInject(Component.java:2400) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.Component.injectAttributes(Component.java:1743) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.Component.inject(Component.java:1561) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.core.BijectionInterceptor.aroundInvoke(BijectionInterceptor.java:63) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.core.MethodContextInterceptor.aroundInvoke(MethodContextInterceptor.java:44) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.core.SynchronizationInterceptor.aroundInvoke(SynchronizationInterceptor.java:35) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.SeamInvocationContext.proceed(SeamInvocationContext.java:68) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.RootInterceptor.invoke(RootInterceptor.java:107) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.JavaBeanInterceptor.interceptInvocation(JavaBeanInterceptor.java:196) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.jboss.seam.intercept.JavaBeanInterceptor.invoke(JavaBeanInterceptor.java:114) [jboss-seam-2.3.1.Final.jar:2.3.1.Final]
        at org.zanata.action.SendEmailAction_$$_javassist_seam_48.setEmailType(SendEmailAction_$$_javassist_seam_48.java) [classes:]
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_25]
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_25]
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_25]
        at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_25]
        at javax.el.BeanELResolver.setValue(BeanELResolver.java:381) [jboss-el-api_2.2_spec-1.0.2.Final.jar:1.0.2.Final]
        ... 61 more


Reproducible: Always

Steps to Reproduce:
1. Make sure you are logged out from a zanata instance
2. Access {server}/help/contact_admin
Actual Results:  
Exception

Expected Results:  
Redirect to sign in page. Once signed in redirect back to contact admin page.

Comment 1 Damian Jansen 2014-08-28 03:00:24 UTC
Or allow non users to contact the admin - which I don't know is favourable or not.

Comment 2 Patrick Huang 2014-12-11 02:17:38 UTC
https://github.com/zanata/zanata-server/pull/639

Comment 3 Damian Jansen 2015-01-22 00:41:10 UTC
Merge verified


Note You need to log in before you can comment on or make changes to this bug.